Subject: RE: AW: [Sip] Connected-identity and changing the To header fieldina response

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Thu, 1 Jun 2006 09:05:52 +0200

What happened to the modified To header?

Regards,

Christer 

-----Original Message-----
From: Jesske, R [mailto:[email-masked]] 
Sent: 1. kesäkuuta 2006 8:28
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; Christer Holmberg (JO/LMF)
Subject: AW: AW: [Sip] Connected-identity and changing the To header fieldina response

Paul,
in the past we lookes also on the Reply-to header. But per definition it is the address where the user want to be connected. So it is not in each case the real conected identity. But the COLP (TIP) service could be used in the same way.
So if it would be possible to use Reply-to header in Responses, if people are willing and we as TISPAN can narrow it then only to the real connected identity (within our walled garden service definition) I would be happy.

Best Regards

Roland

> -----Ursprüngliche Nachricht-----
> Von: Paul Kyzivat [mailto:[email-masked]]
> Gesendet: Mittwoch, 31. Mai 2006 17:04
> An: Jesske, Roland
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Betreff: Re: AW: [Sip] Connected-identity and changing the To header 
> field ina response
> 
> 
> 
> 
> Jesske, R wrote:
> > These are the requirements we already expressed in our
> draft draft-jesske-sipping-tispan-requirements-02:
> > 
> >    REQ-TIP-1: In addition to any network asserted identity,
> it must be
> >               possible for the callee to indicate in a SIP
> response an
> >               additional identity where the user is
> reachable for future
> >               direct communications.  Note that the
> requirement refers
> >               to the user, not to the same instance of the
> User Agent.
> >    REQ-TIP-2: The identity mentioned in REQ-TIP-1 must be
> formatted as a
> >               SIP URI [2] or TEL URL [3].  A translation
> between SIP URI
> >               and TEL URL by the network is not requested.
> >    REQ-TIP-3: The identity mentioned in REQ-TIP-1 is
> considered an end
> >               user supplied information that is not asserted by the
> >               network.
> > 
> > 
> > As you can see we do not need any authenticated identity in
> the response. For the authenticated identity we are using the 
> P-Asserted-Identity. So we have two identities in a Response.
> > For our purposes the user provided identity in a final 200
> OK response is sufficient. So that avoids confusion within forking 
> cases.
> 
> I haven't been paying close attention to this. What header are you 
> planning to use to carry this callee provided identity?
> 
> The Reply-To header would seem to be appropriate for this purpose, but 
> unfortunately, according to table 2 of 3261, it is only allowed in 
> INVITE.
> 
> 	Paul
> 
> > Roland
> > 
> > 
> > 
> > 
> >> -----Ursprüngliche Nachricht-----
> >> Von: Cullen Jennings [mailto:[email-masked]]
> >> Gesendet: Montag, 22. Mai 2006 17:32
> >> An: Jesske, Roland
> >> Cc: John Elwell; [email-masked]; Roland Jesske; Christer Holmberg 
> >> (JO/LMF)
> >> Betreff: Re: [Sip] Connected-identity and changing the To header 
> >> field ina response
> >>
> >>
> >>
> >> On May 16, 2006, at 7:07 AM, Jesske, R wrote:
> >>
> >>> John,
> >>> it is that we don't can get an connected identity within
> the final
> >>> response of the initial INVITE.
> >>> Your draft proposes a mid dialog request for getting this
> >> information.
> >>> That is not usable for the TIP service.
> >> I think this is part of what I am not understanding. What is the 
> >> requirement here?
> >>
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
> > 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip